Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# Layouts
[Models]

## Classes

struct | devicen_layout_t
| unnamed color layout of up to five channels More...

## Typedefs

typedef layout< cmyk_t > | cmyk_layout_t
typedef layout< gray_t > | gray_layout_t
typedef layout< rgb_t > | rgb_layout_t
typedef layout< rgb_t, mpl::vector3_c< int, 2, 1, 0 > > | bgr_layout_t
typedef layout< rgba_t > | rgba_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 2, 1, 0, 3 > > | bgra_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 1, 2, 3, 0 > > | argb_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 3, 2, 1, 0 > > | abgr_layout_t